ETSI STF525 / Internal Testing test suite This project provides an internal testing test suite and its associated Test Adapter/Codec

Public Member Functions | Private Member Functions | Private Attributes | List of all members
GeoNetworkingCodec Class Reference

`#include <GeoNetworkingCodec.hh>`

Inheritance diagram for GeoNetworkingCodec:

## Public Member Functions
| GeoNetworkingCodec ()
virtual | ~GeoNetworkingCodec ()
virtual int | encode (const LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu &msg, OCTETSTRING &data)
| Encode typed message into an octet string. More...
virtual int | decode (const OCTETSTRING &data, LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu &msg, Params *params=NULL)
| Encode typed message into an octet string format. More...
int | encode (const LibItsGeoNetworking__TypesAndValues::GnNonSecuredPacket &p_gnNonSecuredPacket, OCTETSTRING &data)
Public Member Functions inherited from Codec< LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu, LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu >
| Codec ()
| Reference to Params stack. More...
virtual | ~Codec ()
| Default destructor . More...

## Private Member Functions
int | encode_ (const Base_Type &type, const TTCN_Typedescriptor_t &field_descriptor, TTCN_Buffer &encoding_buffer)
int | encode_extendedHeader (const LibItsGeoNetworking__TypesAndValues::ExtendedHeader &u, TTCN_Buffer &encoding_buffer)
int | decode_ (Base_Type &type, const TTCN_Typedescriptor_t &field_descriptor, TTCN_Buffer &decoding_buffer)
int | decode_headerTST (LibItsGeoNetworking__TypesAndValues::HeaderTST &u, TTCN_Buffer &decoding_buffer)
int | decode_extendedHeader (LibItsGeoNetworking__TypesAndValues::ExtendedHeader &u, TTCN_Buffer &decodin_buffer)

## Private Attributes
Encoding_Context | _ec
Decoding_Context | _dc

## Additional Inherited Members
Protected Attributes inherited from Codec< LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu, LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu >
Params * | _params

## Constructor & Destructor Documentation

## ◆ GeoNetworkingCodec()

GeoNetworkingCodec::GeoNetworkingCodec | ( |  | ) |
| inline explicit

## ◆ ~GeoNetworkingCodec()

virtual GeoNetworkingCodec::~GeoNetworkingCodec | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ decode()

int GeoNetworkingCodec::decode | ( | const OCTETSTRING & | p_,
|  | LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu & | p_message,
|  | Params * | p_params = `NULL`
| ) |  |
| virtual

Encode typed message into an octet string format.

Parameters

  [in] | p_data | The message in its octet string
  [out] | p_message | The decoded typed message

Returns
  0 on success, -1 otherwise

Implements Codec< LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu, LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu >.

## ◆ decode_()

int GeoNetworkingCodec::decode_ | ( | Base_Type & | type,
|  | const TTCN_Typedescriptor_t & | field_descriptor,
|  | TTCN_Buffer & | decoding_buffer
| ) |  |
| private

## ◆ decode_extendedHeader()

int GeoNetworkingCodec::decode_extendedHeader | ( | LibItsGeoNetworking__TypesAndValues::ExtendedHeader & | u,
|  | TTCN_Buffer & | decodin_buffer
| ) |  |
| private

## ◆ decode_headerTST()

int GeoNetworkingCodec::decode_headerTST | ( | LibItsGeoNetworking__TypesAndValues::HeaderTST & | u,
|  | TTCN_Buffer & | decoding_buffer
| ) |  |
| private

## ◆ encode() [1/2]

int GeoNetworkingCodec::encode | ( | const LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu & | msg,
|  | OCTETSTRING & | data
| ) |  |
| virtual

Encode typed message into an octet string.

Parameters

  [in] | p_message | The typed message to be encoded
  [out] | p_data | The encoding result

Returns
  0 on success, -1 otherwise

Implements Codec< LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu, LibItsGeoNetworking__TypesAndValues::GeoNetworkingPdu >.

## ◆ encode() [2/2]

int GeoNetworkingCodec::encode | ( | const LibItsGeoNetworking__TypesAndValues::GnNonSecuredPacket & | p_gnNonSecuredPacket,
|  | OCTETSTRING & | data
| ) |  |

## ◆ encode_()

int GeoNetworkingCodec::encode_ | ( | const Base_Type & | type,
|  | const TTCN_Typedescriptor_t & | field_descriptor,
|  | TTCN_Buffer & | encoding_buffer
| ) |  |
| private

## ◆ encode_extendedHeader()

int GeoNetworkingCodec::encode_extendedHeader | ( | const LibItsGeoNetworking__TypesAndValues::ExtendedHeader & | u,
|  | TTCN_Buffer & | encoding_buffer
| ) |  |
| private

## Member Data Documentation

## ◆ _dc

Decoding_Context GeoNetworkingCodec::_dc
| private

## ◆ _ec

Encoding_Context GeoNetworkingCodec::_ec
| private

The documentation for this class was generated from the following files:

- /home/vagrant/TriesAndDelete/etsi_its/framework/include/GeoNetworkingCodec.hh
- /home/vagrant/TriesAndDelete/etsi_its/framework/src/GeoNetworkingCodec.cc